%define	upstream_name	 Data-Compare
%define upstream_version 1.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Compare perl data structures
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule) >= 0.100.0
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
Compare two perl data structures recursively. Returns 0 if the structures
differ, else returns 1.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGELOG META.json META.yml MYMETA.yml NOTES README TODO
%{perl_vendorlib}/Data
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.250.0-3.mga6
+ Revision: 1024792
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.250.0-2.mga6
+ Revision: 965908
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 1.250.0-1.mga6
+ Revision: 839206
- update to 1.25

* Wed Oct 15 2014 umeabot <umeabot> 1.240.0-3.mga5
+ Revision: 745785
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.240.0-2.mga5
+ Revision: 684189
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 1.240.0-1.mga5
+ Revision: 614684
- update to 1.24

* Mon Oct 21 2013 umeabot <umeabot> 1.230.0-2.mga4
+ Revision: 537800
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 1.230.0-1.mga4
+ Revision: 487768
- update to 1.23

* Sun Jan 13 2013 umeabot <umeabot> 1.220.0-3.mga3
+ Revision: 365262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.220.0-2.mga1
+ Revision: 36872
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.220.0-1.mga1
+ Revision: 33687
- mageia rebuild
- imported package perl-Data-Compare

